Compare commits

..

19 Commits
main ... docker

Author SHA1 Message Date
spinach f19969ec23 gl
Dotfiles Docker Container / Push docker image to local registry (push) Failing after 6s Details
12 months ago
spinach 378ed568a4 no chdir
Dotfiles Docker Container / Push docker image to local registry (push) Failing after 5s Details
1 year ago
spinach a36ce155cb no chdir
Gitea Actions Demo / Push docker image to container registry (push) Failing after 4s Details
1 year ago
spinach c9ec9c4b1c added docker file and build steps
Gitea Actions Demo / Push docker image to container registry (push) Failing after 7s Details
1 year ago
spinach 43a6ea96d7 testing action
Gitea Actions Demo / Push docker image to container registry (push) Failing after 2s Details
1 year ago
spinach 7e81a18370 testing action
Gitea Actions Demo / Push docker image to container registry (push) Failing after 5s Details
1 year ago
spinach 0b40dcc3cb testing action
Gitea Actions Demo / Push docker image to container registry (push) Failing after 2s Details
1 year ago
spinach a9a97dd864 testing action
Gitea Actions Demo / Push docker image to container registry (push) Failing after 2s Details
1 year ago
spinach 7d4e022b30 testing action
Gitea Actions Demo / Push docker image to container registry (push) Failing after 3s Details
1 year ago
spinach 41c480cd39 testing action
Gitea Actions Demo / Push docker image to container registry (push) Failing after 3s Details
1 year ago
spinach 503ab02651 testing action
Gitea Actions Demo / Push docker image to container registry (push) Failing after 2s Details
1 year ago
spinach 6ad6b01d07 testing action
Gitea Actions Demo / Push docker image to container registry (push) Failing after 5s Details
1 year ago
spinach 1bc2ae97b2 testing action 1 year ago
spinach 7b40e4fce2 testing action
Gitea Actions Demo / Explore-Gitea-Actions (push) Successful in 20s Details
1 year ago
spinach 109ab431ff setting up for docker
Gitea Actions Demo / Explore-Gitea-Actions (push) Has been cancelled Details
1 year ago
spinach f6f3673116 added task and testing workflows
Gitea Actions Demo / Explore-Gitea-Actions (push) Has been cancelled Details
1 year ago
spinach 4d4a3f7618 added task and testing workflows
Gitea Actions Demo / Explore-Gitea-Actions (push) Has been cancelled Details
1 year ago
spinach c8348472dd added task and testing workflows 1 year ago
spinach b991e054d4 setting up for docker 1 year ago

@ -0,0 +1,19 @@
name: Dotfiles Docker Container
run-name: ${{ gitea.actor }} is building new container
on:
push:
branches:
- docker
jobs:
push_to_registry:
name: Push docker image to local registry
runs-on: ubuntu-latest
steps:
- name: Checkout
uses: actions/checkout@v2
- name: Deploy
run: |
docker build -t git.keegandeppe.com/kdeppe/dotfiles:latest .
docker push git.keegandeppe.com/kdeppe/dotfiles

@ -0,0 +1,47 @@
FROM archlinux:latest
MAINTAINER Keegan Deppe
LABEL maintainer "Keegan Deppe noway@me.net"
ARG user=spinach
ARG group=wheel
ARG uid=1000
ARG dotfiles=dotfiles.git
ARG userspace=userspace.git
ARG vcsprovider=git.keegandeppe.com
ARG vcsowner=kdeppe
USER root
RUN \
pacman --noconfirm -Syu && \
pacman --noconfirm -S \
sudo \
ncurses \
ca-certificates \
libressl \
cmake \
ctags \
file \
gcc \
wget \
neovim \
git \
zsh \
docker \
docker-compose \
tmux \
picom \
make \
bat \
calcurse \
tmuxp \
rofi \
rofi-calc \
lua \
rust \
clang \
gopls \
python-lsp-server \
typescript-language-server \
lua-language-server \
rust-analyzer

@ -0,0 +1,18 @@
# https://taskfile.dev
version: '3'
tasks:
desktop:
desc: "setup defaults for arch based desktop"
cmds:
- scripts/install-profile desktop
thinkpad:
desc: "setup defaults for arch based laptop"
cmds:
- scripts/install-profile thinkpad
deploy:
cmds:
-

@ -7,15 +7,14 @@ SYNC_IN_PROGRESS=$(printf '%s%s' '%{F#FF0}' $(echo -e '\Uf1216')) # yellow
SYNC_FAILED=$(printf '%s%s' '%{F#F00}' $(echo -e '\Uf0b98')) # red
if ! command -v seaf-cli &>/dev/null ; then
echo "depends on seaf-cli">&2
echo "Seafile not downloaded to device!">&2
echo "$SYNC_FAILED"
exit 1
fi
# getting folder status and trimming headers
SEAFILE_STATUS=$(seaf-cli status 2>/dev/null | tail -n +2)
SEAFILE_STATUS=$(seaf-cli status | tail -n +2)
ERRORS=$(echo "$SEAFILE_STATUS" | grep "error")
if [[ -n "$ERRORS" ]] ; then
# some directories have errors
echo "Error: Failed to sync">&2

@ -1 +1 @@
Subproject commit 4af034b82620c67492f951be0fbbe0a024ab31e2
Subproject commit aa50bff9b5cf24bcda810c1d77b03a5c804ea400

@ -42,11 +42,12 @@ floating_modifier $mod
# start a terminal
bindsym $mod+Return exec st
# lock the screen
bindsym $mod+q exec xset s activate
# suspend/hibernate computer
bindsym $mod+q exec systemctl suspend
bindsym $mod+Shift+q exec systemctl hibernate
# kill focused window
bindsym $mod+Shift+q kill
bindsym $mod+Shift+x kill
# start dmenu (a program launcher)
bindsym $mod+d exec --no-startup-id rofi-launcher

@ -1,8 +1,8 @@
include base.conf
# binding workspaces
workspace 1 output DP-0
workspace 2 output DP-2
workspace 1 output DP-2
workspace 2 output DP-0
# poly bar
exec_always --no-startup-id polybar-launch.sh desktop-bar

@ -38,7 +38,7 @@ font-0 = Hack Nerd Font:size=10;2
height = 14pt
; modules
modules-left = xworkspaces weather-thinkpad
modules-right = battery pulseaudio memory cpu wlan seafile calendar-sync bg-selector date-tp powermenu
modules-right = battery pulseaudio memory cpu wlan vpn uptime seafile calendar-sync bg-selector date-tp powermenu
[bar/desktop-bar]
; desktop bar config
@ -49,7 +49,7 @@ height = 24pt
modules-left = xworkspaces focus-fast spotify spotify-len
;modules-left = xworkspaces spotify spotify-len
modules-center = weather-desktop
modules-right = pulseaudio memory cpu temperature wlan eth vpn dev-bat packages seafile calendar-sync bg-selector quotes date powermenu
modules-right = pulseaudio memory cpu temperature wlan eth vpn dev-bat seafile calendar-sync bg-selector quotes date powermenu
[bar/work-bar]
; desktop bar config

@ -1 +1 @@
Subproject commit dbf546e61c0ca848f2474db55b601dead6d41f7e
Subproject commit bcf7a4d38dc941e816e1f491b63417e959ba4c0a

@ -24,8 +24,11 @@ smart_gaps on
#font pango:DejaVu Sans Mono 8
# Start XDG autostart .desktop files using dex. See also
# https://wiki.archlinux.org/index.php/XDG_Autostart
exec_always pkill kanshi; exec kanshi
workspace 1 output DP-2
workspace 2 output DP-0
workspace 2 output DP-3
exec --no-startup-id dex --autostart --environment i3
# The combination of xss-lock, nm-applet and pactl is a popular choice, so
@ -211,6 +214,6 @@ bindsym $mod+r mode "resize"
#exec --no-startup-id picom-launch.sh
# background
output "*" bg ~/.config/i3/wallpaper.jpg fill
# output "*" bg ~/.config/i3/wallpaper.jpg fill
# poly bar
exec_always --no-startup-id polybar-launch.sh desktop-bar
# exec_always --no-startup-id polybar-launch.sh desktop-bar

@ -1,19 +0,0 @@
#!/usr/bin/env bash
set -e
echo "$0 has been deprecated!"
echo "Please install a specific profile via install-profile"
exit 0
# CONFIG="install.conf.yaml"
# DOTBOT_DIR="dotbot"
# DOTBOT_BIN="bin/dotbot"
# BASEDIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
# cd "${BASEDIR}"
# git -C "${DOTBOT_DIR}" submodule sync --quiet --recursive
# git submodule update --init --recursive "${DOTBOT_DIR}"
# "${BASEDIR}/${DOTBOT_DIR}/${DOTBOT_BIN}" -d "${BASEDIR}" -c "${CONFIG}" "${@}"

@ -1 +1 @@
Subproject commit 328bcb32590e5057b09bd27a40bc2fb21385fbf3
Subproject commit 3f9e409669172ad662e82fca791f0ad16dce5edd

@ -12,7 +12,11 @@ PROFILES_DIR="profiles"
DOTBOT_DIR="dotbot"
DOTBOT_BIN="bin/dotbot"
BASE_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
if [ -d "$HOME/.dotfiles" ] ; then
BASE_DIR="$HOME/.dotfiles"
else
BASE_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")/.." && pwd)"
fi
declare -a CONFIGS

@ -12,7 +12,11 @@ PROFILES_DIR="profiles"
DOTBOT_DIR="dotbot"
DOTBOT_BIN="bin/dotbot"
BASE_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
if [ -d "$HOME/.dotfiles" ] ; then
BASE_DIR="$HOME/.dotfiles"
else
BASE_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")/.." && pwd)"
fi
cd "${BASE_DIR}"

@ -1 +1 @@
Subproject commit a411ef3e0992d4839f0732ebeb9823024afaaaa8
Subproject commit c3d4e576c9c86eac62884bd47c01f6faed043fc5

@ -1 +1 @@
Subproject commit c1b5b2c8aab51b2a5b0d29d078e3cb53bb4c46bb
Subproject commit 862440ae112603c8e2d202f6edb94eeaa1509120

@ -1 +1 @@
Subproject commit 56aba76874efb3bb5914d8eaf9e356057113aea7
Subproject commit 08fb3b8990fcd93f45dfe220b066a446cf31c7b5

@ -27,6 +27,7 @@ fi
# fixing gopath and binaries
export GOPATH="$HOME/.local/share/go"
export PATH=$PATH:"$HOME"/.local/share/cargo/bin
# moving cargo cache dir
export CARGO_HOME="$HOME/.local/share/cargo"

@ -1 +1 @@
Subproject commit 96670d5f16dcf23d590eb1d83d1de351b2e8fb15
Subproject commit b1a0ab8086f061640948299b9ed90a6b0c61c143

@ -1 +1 @@
Subproject commit c5672a5864bc78a932de438e4f64fefcee5c6ea6
Subproject commit 613dfb9d259166a40d0781e26b8ecd0f59648a25

@ -1 +1 @@
Subproject commit 6d96a8a4906e91f44ddf97645d5c3c1980212402
Subproject commit 9a9abc5d13d94aa404c02d19b7184143d020ecb7

@ -1 +1 @@
Subproject commit 020bbf7d64cc2f0c5d2a4ab96d45b8014ef54ad2
Subproject commit d27117b8bc4f600657c7dd94310f60e784371eac
Loading…
Cancel
Save